const ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg'

export default {
  identify: (...args) => {
    window.analytics.identify(...args)
  },
  reset: (...args) => {
    window.analytics.reset(...args)
  },
  track: (...args) => {
    window.analytics.ready(function() {
      const [event, properties, options = {}, fn] = args
      options.traits = {
        anonymousId: window.analytics.user().anonymousId(),
        userId: window.analytics.user().id()
      }
      if (window && window.Visitor) {
        options['Adobe Analytics'] = {
          marketingCloudVisitorId: window.Visitor.getInstance(
            ADOBE_ORG_ID
          ).getMarketingCloudVisitorID()
        }
      }
      window.analytics.track(event, properties, options, fn)
    })
  }
}
